php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #17627 Compiling PHP with apxs2 causes inter-library dependency problem
Submitted: 2002-06-06 09:09 UTC Modified: 2002-06-06 09:50 UTC
Votes:2
Avg. Score:4.5 ± 0.5
Reproduced:2 of 2 (100.0%)
Same Version:0 (0.0%)
Same OS:0 (0.0%)
From: johan at host24 dot com Assigned:
Status: Closed Package: Apache2 related
PHP Version: 4.2.1 OS: Linux
Private report: No CVE-ID: None
View Add Comment Developer Edit
Welcome! If you don't have a Git account, you can't do anything here.
You can add a comment by following this link or if you reported this bug, you can edit this bug over here.
(description)
Block user comment
Status: Assign to:
Package:
Bug Type:
Summary:
From: johan at host24 dot com
New email:
PHP Version: OS:

 

 [2002-06-06 09:09 UTC] johan at host24 dot com
I've searched the previous bug reports, but none describes the exact problem I'm getting, nor supplied any solution I could apply succesfully.

These are the steps I've followed (all on a clean server - previous versions of Apache and PHP were removed):

[1] Apache 2.0.36 was configured with the following parameters:
./configure --prefix=/usr/local/apache --enable-so --enable-mods-shared=all

The subsequent make and make install worked just fine, and Apache started up without problems.

[2] PHP was then configured with the following:

./configure --with-apxs2=/path-to-apxs --prefix=/usr/local/apache 

All other settings were removed in an attempt to isolate the problem.

The subsequent make resulted in the following warning:

*** Warning: inter-library dependencies are not known to be supported.
*** All declared inter-library dependencies are being dropped.
*** The inter-library dependencies that have been dropped here will be
*** automatically added whenever a program is linked with this library
*** or is declared to -dlopen it.

Doing a "make install" works - the libphp4.so file is copied to the correct location and the httpd.conf file is modified correctly.

But Apache won't start:

Starting httpd: Syntax error on line 263 of /usr/local/apache/conf/httpd.conf:
Cannot load /usr/local/apache/modules/libphp4.so into server: /usr/local/apache/modules/libphp4.so: undefined symbol: __dn_expand

Please suggest alternative ./configure parameters, since it appears as if PHP 4 and Apache are not yet usable on the same server.

rgrds,

Johan Pretorius

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2002-06-06 09:13 UTC] johan at host24 dot com
My last comment is slightly incorrect - it should read as follows:

Please suggest alternative ./configure parameters, since it appears as if PHP 4 and Apache 2 are not yet usable on the same server.
 [2002-06-06 09:50 UTC] johan at host24 dot com
OK, the latest CVS snapshot (dated 2002/06/06) from http://snaps.php.net works like a charm!

Thanks!
 
PHP Copyright © 2001-2021 The PHP Group
All rights reserved.
Last updated: Sun Dec 05 21:03:39 2021 UTC